Class: Aws::RDS::Types::OptionGroupOption

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb

Overview

Available option.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#default_portInteger

If the option requires a port, specifies the default port for the option.

Returns:

  • (Integer)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#descriptionString

The description of the option.

Returns:

  • (String)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#engine_nameString

The name of the engine that this option can be applied to.

Returns:

  • (String)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#major_engine_versionString

Indicates the major engine version that the option is available for.

Returns:

  • (String)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#minimum_required_minor_engine_versionString

The minimum required engine version for the option to be applied.

Returns:

  • (String)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#nameString

The name of the option.

Returns:

  • (String)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#option_group_option_settingsArray<Types::OptionGroupOptionSetting>

The option settings that are available (and the default value) for each option in an option group.



14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#option_group_option_versionsArray<Types::OptionVersion>

The versions that are available for the option.

Returns:



14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#options_conflicts_withArray<String>

The options that conflict with this option.

Returns:

  • (Array<String>)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#options_depended_onArray<String>

The options that are prerequisites for this option.

Returns:

  • (Array<String>)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#permanentBoolean

Permanent options can never be removed from an option group. An option group containing a permanent option can't be removed from a DB instance.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#persistentBoolean

Persistent options can't be removed from an option group while DB instances are associated with the option group. If you disassociate all DB instances from the option group, your can remove the persistent option from the option group.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#port_requiredBoolean

Specifies whether the option requires a port.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#requires_auto_minor_engine_version_upgradeBoolean

If true, you must enable the Auto Minor Version Upgrade setting for your DB instance before you can use this option. You can enable Auto Minor Version Upgrade when you first create your DB instance, or by modifying your DB instance later.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#supports_option_version_downgradeBoolean

If true, you can change the option to an earlier version of the option. This only applies to options that have different versions available.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end

#vpc_onlyBoolean

If true, you can only use this option with a DB instance that is in a VPC.

Returns:

  • (Boolean)


14847
14848
14849
14850
14851
14852
14853
14854
14855
14856
14857
14858
14859
14860
14861
14862
14863
14864
14865
14866
# File 'gems/aws-sdk-rds/lib/aws-sdk-rds/types.rb', line 14847

class OptionGroupOption < Struct.new(
  :name,
  :description,
  :engine_name,
  :major_engine_version,
  :minimum_required_minor_engine_version,
  :port_required,
  :default_port,
  :options_depended_on,
  :options_conflicts_with,
  :persistent,
  :permanent,
  :requires_auto_minor_engine_version_upgrade,
  :vpc_only,
  :supports_option_version_downgrade,
  :option_group_option_settings,
  :option_group_option_versions)
  SENSITIVE = []
  include Aws::Structure
end